package jsbin;

import java.util.HashSet;
import java.io.*;
import java.lang.reflect.Array;

class SimpleIO {
   private static InputStreamReader streamIn =
       new InputStreamReader (System.in);
   private static BufferedReader in =    
       new BufferedReader (streamIn, 1);

   public static void prompt (String s) {
       System.out.print(s);
       System.out.flush();
   };
   public static void prompt (int s) {
       System.out.print(s);
       System.out.flush();
   };
   public static void promptln (String s) {
       System.out.println(s);
       System.out.flush();
   };
   public static void promptln (int s) {
       System.out.println(s);
       System.out.flush();
   };
   public static String readLine() {
       String line = null;
       try {
	   line = in.readLine();
       } catch (IOException e) {
	   System.out.println("Error in Simple.IO.readline: " 
			      + e.getMessage());
           System.exit (-1);
       }
       return line;
   }
   public static int read() {
       int n = -1;
       try {
	   n = in.read();
       } catch (IOException e) {
	   System.out.println("Error in Simple.IO.readline: " 
			      + e.getMessage());
           System.exit (-1);
       }
       return n;
   }
}



